Bug 489932 - (CVE-2009-0887) CVE-2009-0887 pam: integer signedness error in _pam_StrTok()
CVE-2009-0887 pam: integer signedness error in _pam_StrTok()
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=low,source=redhat,reported=200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 11:42 EDT by Vincent Danen
Modified: 2010-10-20 06:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 06:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-03-12 11:42:33 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0887 to
the following vulnerability:

Name: CVE-2009-0887
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0887
Assigned: 20090312
Reference: MLIST:[oss-security] 20090305 CVE Request -- pam
Reference: URL: http://openwall.com/lists/oss-security/2009/03/05/1
Reference: CONFIRM: http://pam.cvs.sourceforge.net/viewvc/pam/Linux-PAM/libpam/pam_misc.c?r1=1.9&r2=1.10&view=patch
Reference: CONFIRM: http://pam.cvs.sourceforge.net/viewvc/pam/Linux-PAM/libpam/pam_misc.c?view=log
Reference: BID:34010
Reference: URL: http://www.securityfocus.com/bid/34010
Reference: XF:linuxpam-pamstrtok-priv-escalation(49110)
Reference: URL: http://xforce.iss.net/xforce/xfdb/49110

Integer signedness error in the _pam_StrTok function in
libpam/pam_misc.c in Linux-PAM (aka pam) 1.0.3 and earlier, when a
configuration file contains non-ASCII usernames, might allow remote
attackers to cause a denial of service, and might allow remote
authenticated users to obtain login access with a different user's
non-ASCII username, via a login attempt.
Comment 1 Tomas Mraz 2009-03-12 12:00:54 EDT
It is very questionable whether this problem is even a security vulnerability. As the attacker cannot manipulate the configuration files it would basically require a misconfiguration of pam for the attack to be possible.
Comment 3 Fedora Update System 2009-03-17 10:49:49 EDT
pam-1.0.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pam-1.0.4-2.fc9
Comment 4 Fedora Update System 2009-03-17 10:50:16 EDT
pam-1.0.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pam-1.0.4-2.fc10
Comment 5 Fedora Update System 2009-03-26 06:46:10 EDT
pam-1.0.4-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pam-1.0.4-3.fc9
Comment 6 Fedora Update System 2009-03-30 12:43:52 EDT
pam-1.0.4-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pam-1.0.4-4.fc9
Comment 7 Fedora Update System 2009-03-30 12:45:02 EDT
pam-1.0.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pam-1.0.4-4.fc10
Comment 8 Fedora Update System 2009-04-14 11:52:49 EDT
pam-1.0.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-14 11:58:31 EDT
pam-1.0.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Tomas Hoger 2010-10-20 06:00:34 EDT
Closing not-a-security-bug based on comment #1.

Statement:

Red Hat does not consider this issue to be a security vulnerability. Affected function is only used to parse PAM configuration files and this bug can only be triggered by specific configuration created by the system administrator.

Note You need to log in before you can comment on or make changes to this bug.